Subject: Re: [bug#62264] [PATCH core-updates 0/6] Add `guix index` subcommand

From: Simon Tournier <[email-masked]>
Date: Thu, 25 May 2023 18:20:11 +0200

Hi Ludo,

On mer., 24 mai 2023 at 16:40, Ludovic Courtès <[email-masked]> wrote:

>> Well, I have some patches that rename to “guix file”. :-)
>>
>> Well, ’guix locale’ appears to me also fine.

I was meaning ’locate’ not ’locale’, sorry for the typo.

> “locate” sounds better to me, notably because it’s a verb.

Yeah, ’locate’ is better.  Especially when one knows about the good ol’
locate program. ;-)

>>>   - [ ] 'search' action removed; option added to force reindexing
>>
>> I have an unpolished stuff that do:
>>
>>     guix file --index=TYPE
>>     guix file foo bar
>>
>> Somehow, “guix file <terms>” the default action (= search).  And then
>> some action with --action (as index or else).
>>
>>>   - [ ] warning printed when database is too old
>>>   - [ ] start anew when database is very old
>>>   - [ ] documentation written
>>
>> I have started… but I am not very far. :-)
>
> Could you share what you have?

I will.  Do you prefer a patch?  Or that I push to the branch?

> (I didn’t expect feedback so I thought I’d end up hack on the stuff
> head-down.  Now we need to synchronize.  :-))

There is much to synchronize because I did few. :-)

My concerns were:

 1. about the name “guix index” and now it’s fixed by “guix locate” ;-)

 and 2. about the CLI; the default “guix locate <term>” should be the
 search action.  The update action should be triggered with an option as
 “-i/--index=”.

Cheers,
simon